Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 241729 - Property hibernate.query.factory_class is shown the wrong value
Property hibernate.query.factory_class is shown the wrong value
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: Hibernate
8.0
PC Windows 7
: P3 (vote)
: 8.0.1
Assigned To: Sergey Petrov
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-12 02:39 UTC by manikantannaren
Modified: 2014-07-09 15:08 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description manikantannaren 2014-02-12 02:39:24 UTC
https://netbeans.org/kb/docs/java/hibernate-java-se.html
section Modifying the Hibernate configuration

Issue 192027 addresses this but I believe the fix is wrong.

The property value in the drop down is 
<code>org.hibernate.hql.classic.ClassicQueryTranslatorFactory</code>
Where as it should be 
<code>org.hibernate.hql.interbal. classic.ClassicQueryTranslatorFactory</code>

The tutorial then works fine.
Comment 1 Kenneth Ganfield 2014-03-18 15:51:53 UTC
note there is a typo in the above comment.
The correct value is:

org.hibernate.hql.internal.classic.ClassicQueryTranslatorFactory
Comment 2 tonyattwood 2014-05-15 15:06:00 UTC
If I use:

<property name="hibernate.query.factory_class">org.hibernate.hql.internal.classic.ClassicQueryTranslatorFactory</property>

The 'Run HQL Query' editor reports that it does not connect to the database, however when the default factory class is used it tries to run, but only gets to about 80%

So there seems to be an inconsistency there somewhere.
Comment 3 tonyattwood 2014-05-15 15:07:13 UTC
Sorry I should have added with the modified factory class the application works fine.
Comment 4 Sergey Petrov 2014-07-07 18:53:09 UTC
I belive it was fixed corrctly but only for hibernate 3.x, after upgrade to hibernate 4.x these clases should be changed,
also org.hibernate.hql.internal.ast.ASTQueryTranslatorFactory

fix http://hg.netbeans.org/web-main/rev/72bc3b0d8f78

may affect hb tutorials if I'll restore hibernate support in 8.0.1
Comment 5 Quality Engineering 2014-07-09 02:48:38 UTC
Integrated into 'main-silver', will be available in build *201407090001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/72bc3b0d8f78
User: Sergey B. Petrov <sj-nb@netbeans.org>
Log: #241729 fix class names


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo